Index: code/branches/buildsystem3/src/orxonox/objects/CMakeLists.txt
===================================================================
--- code/branches/buildsystem3/src/orxonox/objects/CMakeLists.txt	(revision 2663)
+++ code/branches/buildsystem3/src/orxonox/objects/CMakeLists.txt	(revision 2664)
@@ -1,3 +1,3 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   EventListener.cc
   EventDispatcher.cc
@@ -14,13 +14,11 @@
 )
 
-ADD_SOURCE_DIRECTORY(SRC_FILES collisionshapes)
-ADD_SOURCE_DIRECTORY(SRC_FILES controllers)
-ADD_SOURCE_DIRECTORY(SRC_FILES gametypes)
-ADD_SOURCE_DIRECTORY(SRC_FILES infos)
-ADD_SOURCE_DIRECTORY(SRC_FILES items)
-ADD_SOURCE_DIRECTORY(SRC_FILES pickup)
-ADD_SOURCE_DIRECTORY(SRC_FILES quest)
-ADD_SOURCE_DIRECTORY(SRC_FILES weaponSystem)
-ADD_SOURCE_DIRECTORY(SRC_FILES worldentities)
+ADD_SUBDIRECTORY(collisionshapes)
+ADD_SUBDIRECTORY(controllers)
+ADD_SUBDIRECTORY(gametypes)
+ADD_SUBDIRECTORY(infos)
+ADD_SUBDIRECTORY(pickup)
+ADD_SUBDIRECTORY(quest)
+ADD_SUBDIRECTORY(weaponSystem)
+ADD_SUBDIRECTORY(worldentities)
 
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/branches/buildsystem3/src/orxonox/objects/controllers/CMakeLists.txt
===================================================================
--- code/branches/buildsystem3/src/orxonox/objects/controllers/CMakeLists.txt	(revision 2663)
+++ code/branches/buildsystem3/src/orxonox/objects/controllers/CMakeLists.txt	(revision 2664)
@@ -1,3 +1,3 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   Controller.cc
   HumanController.cc
@@ -6,4 +6,2 @@
   ScriptController.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/branches/buildsystem3/src/orxonox/objects/gametypes/CMakeLists.txt
===================================================================
--- code/branches/buildsystem3/src/orxonox/objects/gametypes/CMakeLists.txt	(revision 2663)
+++ code/branches/buildsystem3/src/orxonox/objects/gametypes/CMakeLists.txt	(revision 2664)
@@ -1,5 +1,3 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   Gametype.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/branches/buildsystem3/src/orxonox/objects/infos/CMakeLists.txt
===================================================================
--- code/branches/buildsystem3/src/orxonox/objects/infos/CMakeLists.txt	(revision 2663)
+++ code/branches/buildsystem3/src/orxonox/objects/infos/CMakeLists.txt	(revision 2664)
@@ -1,3 +1,3 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   Bot.cc
   Info.cc
@@ -6,4 +6,2 @@
   GametypeInfo.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/branches/buildsystem3/src/orxonox/objects/pickup/CMakeLists.txt
===================================================================
--- code/branches/buildsystem3/src/orxonox/objects/pickup/CMakeLists.txt	(revision 2663)
+++ code/branches/buildsystem3/src/orxonox/objects/pickup/CMakeLists.txt	(revision 2664)
@@ -1,3 +1,3 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   PickupSpawner.cc
   BaseItem.cc
@@ -5,4 +5,2 @@
   ShipEquipment.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/branches/buildsystem3/src/orxonox/objects/quest/CMakeLists.txt
===================================================================
--- code/branches/buildsystem3/src/orxonox/objects/quest/CMakeLists.txt	(revision 2663)
+++ code/branches/buildsystem3/src/orxonox/objects/quest/CMakeLists.txt	(revision 2664)
@@ -1,3 +1,3 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   AddQuest.cc
   AddQuestHint.cc
@@ -18,4 +18,2 @@
   Rewardable.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/branches/buildsystem3/src/orxonox/objects/weaponSystem/CMakeLists.txt
===================================================================
--- code/branches/buildsystem3/src/orxonox/objects/weaponSystem/CMakeLists.txt	(revision 2663)
+++ code/branches/buildsystem3/src/orxonox/objects/weaponSystem/CMakeLists.txt	(revision 2664)
@@ -1,3 +1,3 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   Munition.cc
   Weapon.cc
@@ -8,7 +8,5 @@
 )
 
-ADD_SOURCE_DIRECTORY(SRC_FILES munitions)
-ADD_SOURCE_DIRECTORY(SRC_FILES projectiles)
-ADD_SOURCE_DIRECTORY(SRC_FILES weapons)
-
-ADD_SOURCE_FILES(SRC_FILES)
+ADD_SUBDIRECTORY(munitions)
+ADD_SUBDIRECTORY(projectiles)
+ADD_SUBDIRECTORY(weapons)
Index: code/branches/buildsystem3/src/orxonox/objects/weaponSystem/munitions/CMakeLists.txt
===================================================================
--- code/branches/buildsystem3/src/orxonox/objects/weaponSystem/munitions/CMakeLists.txt	(revision 2663)
+++ code/branches/buildsystem3/src/orxonox/objects/weaponSystem/munitions/CMakeLists.txt	(revision 2664)
@@ -1,5 +1,3 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   LaserGunMunition.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/branches/buildsystem3/src/orxonox/objects/weaponSystem/projectiles/CMakeLists.txt
===================================================================
--- code/branches/buildsystem3/src/orxonox/objects/weaponSystem/projectiles/CMakeLists.txt	(revision 2663)
+++ code/branches/buildsystem3/src/orxonox/objects/weaponSystem/projectiles/CMakeLists.txt	(revision 2664)
@@ -1,7 +1,5 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   BillboardProjectile.cc
   ParticleProjectile.cc
   Projectile.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/branches/buildsystem3/src/orxonox/objects/weaponSystem/weapons/CMakeLists.txt
===================================================================
--- code/branches/buildsystem3/src/orxonox/objects/weaponSystem/weapons/CMakeLists.txt	(revision 2663)
+++ code/branches/buildsystem3/src/orxonox/objects/weaponSystem/weapons/CMakeLists.txt	(revision 2664)
@@ -1,7 +1,5 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   Fusion.cc
   LaserGun.cc
 #  Missile.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/branches/buildsystem3/src/orxonox/objects/worldentities/CMakeLists.txt
===================================================================
--- code/branches/buildsystem3/src/orxonox/objects/worldentities/CMakeLists.txt	(revision 2663)
+++ code/branches/buildsystem3/src/orxonox/objects/worldentities/CMakeLists.txt	(revision 2664)
@@ -1,3 +1,3 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   WorldEntity.cc
   StaticEntity.cc
@@ -21,6 +21,4 @@
 )
 
-ADD_SOURCE_DIRECTORY(SRC_FILES pawns)
-ADD_SOURCE_DIRECTORY(SRC_FILES triggers)
-
-ADD_SOURCE_FILES(SRC_FILES)
+ADD_SUBDIRECTORY(pawns)
+ADD_SUBDIRECTORY(triggers)
Index: code/branches/buildsystem3/src/orxonox/objects/worldentities/pawns/CMakeLists.txt
===================================================================
--- code/branches/buildsystem3/src/orxonox/objects/worldentities/pawns/CMakeLists.txt	(revision 2663)
+++ code/branches/buildsystem3/src/orxonox/objects/worldentities/pawns/CMakeLists.txt	(revision 2664)
@@ -1,7 +1,5 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   Spectator.cc
   Pawn.cc
   SpaceShip.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
Index: code/branches/buildsystem3/src/orxonox/objects/worldentities/triggers/CMakeLists.txt
===================================================================
--- code/branches/buildsystem3/src/orxonox/objects/worldentities/triggers/CMakeLists.txt	(revision 2663)
+++ code/branches/buildsystem3/src/orxonox/objects/worldentities/triggers/CMakeLists.txt	(revision 2664)
@@ -1,3 +1,3 @@
-SET( SRC_FILES
+ADD_SOURCE_FILES(ORXONOX_SRC_FILES
   Trigger.cc
   DistanceTrigger.cc
@@ -5,4 +5,2 @@
   PlayerTrigger.cc
 )
-
-ADD_SOURCE_FILES(SRC_FILES)
